class_name GameManagerType extends Node
## Autoloaded singleton encapsulating game state.

signal grunk_collected(delta: float)

var grunk_tank := 0.0

var alert_level := 0


func collect_grunk(delta: float) -> void:
	grunk_tank += delta
	grunk_collected.emit(delta)
